
from django.conf import settings
from django.contrib.auth.models import User, Group
import redis

def enqueue_preview_job(uuid):
    """Enter a preview image creation job into the redis queue"""
    host = settings.REDIS_PREVIEW_HOST
    username = settings.REDIS_PREVIEW_USERNAME
    password = settings.REDIS_PREVIEW_PASSWORD
    queue = settings.REDIS_PREVIEW_QUEUE

    try:
        redcon = redis.Redis(host=host, username=username, password=password)
        redcon.lpush(queue, str(uuid))
    except redis.exceptions.RedisError as e:
        print(e)
        pass
